PluginManagerAwareBeanPostProcessor (Grails 6.0.0)

Package: org.grails.spring.beans

## [Java] Class PluginManagerAwareBeanPostProcessor

- org.grails.spring.beans.PluginManagerAwareBeanPostProcessor

- All Implemented Interfaces and Traits:
    org.springframework.beans.factory.BeanFactoryAware

      public class PluginManagerAwareBeanPostProcessor
      extends BeanPostProcessorAdapter
      implements org.springframework.beans.factory.BeanFactoryAware

  Auto-injects beans that implement PluginManagerAware.

  Authors:
    Graeme Rocher
  Since:
    1.2

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private org.springframework.beans.factory.BeanFactory` | `beanFactory` |
    `private GrailsPluginManager` | `pluginManager` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PluginManagerAwareBeanPostProcessor ()`
    `PluginManagerAwareBeanPostProcessor (GrailsPluginManager pluginManager)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Object` | `postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)`
    `` | `public void` | `setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BeanPostProcessorAdapter` | `postProcessAfterInitialization, postProcessBeforeInitialization`

- - ### Field Detail

    - #### private org.springframework.beans.factory.BeanFactory beanFactory

    - #### private GrailsPluginManager pluginManager

  - ### Constructor Detail

    - #### public PluginManagerAwareBeanPostProcessor()

    - #### public PluginManagerAwareBeanPostProcessor(GrailsPluginManager pluginManager)

  - ### Method Detail

    - #### @java.lang.Override public java.lang.Object postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)

    - #### @java.lang.Override public void setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)